Summary: Computes number of pages or quantity of ink needed to print documents
Name:    pkpgcounter
Version: 3.50
Release: 1%{?dist}
License: GPLv3+
URL:     http://www.pykota.com/software/pkpgcounter
Source0: http://www.pykota.com/software/pkpgcounter/download/tarballs/pkpgcounter-%{version}.tar.gz
Group:   Applications/System

BuildArch:     noarch
BuildRequires: python2-devel
BuildRequires: python-imaging
Requires:      python-imaging
Requires:      ghostscript

%description
pkpgcounter parses files and outputs the number of pages needed to print them.
It can also, for certain file formats, compute the percentage of ink colors
covering each page. It currently recognizes almost 20 Page Description Languages
or file formats, including the most used ones like Postscript, PDF,
the PCL family, DVI, OpenDocument, or even Microsoft Word, corresponding to
hundreds of different printer drivers. This utility and Python library is often
used as the PDL parsing engine in print accounting software like PyKota or
JASMine, but can of course be used independently.

%prep
%setup -q

iconv -f iso-8859-1 -t utf-8 -o NEWS.tmp NEWS && mv NEWS.tmp NEWS
iconv -f iso-8859-1 -t utf-8 -o CREDITS.tmp CREDITS && mv CREDITS.tmp CREDITS

# Remove shebang /usr/bin/env python
for file in pkpgpdls/*.py; do
    sed -i '/\/usr\/bin\/env/d' ${file}
done


%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}
rm -rf %{buildroot}%{_docdir}/pkpgcounter


%files
%doc BUGS COPYING CREDITS NEWS README
%{python_sitelib}/pkpgpdls
%{python_sitelib}/pkpgcounter*.egg-info
%{_bindir}/pkpgcounter
%{_mandir}/man1/pkpgcounter.1.gz

%changelog
* Mon Jan 09 2012 Jiri Popelka <jpopelka@redhat.com> 3.50-1
- Initial RPM spec file.